<?php

namespace App\Modules\HtlRoom\Domain;

use App\Modules\HtlCamp\Domain\IdHtlCamp;

interface HtlRoomRepository
{

    public function index(IdHtlRoom $id);
    public function find(IdHtlCamp $idHtlCamp, string $query, string $action);
    public function insert(InsertHtlRoom $value);
    public function update(HtlRoom $value);
    public function updateAvailability(IdHtlRoom $value, HtlRoomAvailability $availability);
    public function delete(IdHtlRoom $id);
}
